NamedCurve (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class NamedCurve

- java.lang.Object
- - org.bouncycastle.crypto.tls.NamedCurve

-     public class NamedCurve
      extends java.lang.Object

  RFC 4492 5.1.1

  The named curves defined here are those specified in SEC 2 [13]. Note that many of these curves are also recommended in ANSI X9.62 [7] and FIPS 186-2 [11]. Values 0xFE00 through 0xFEFF are reserved for private use. Values 0xFF01 and 0xFF02 indicate that the client supports arbitrary prime and characteristic-2 curves, respectively (the curve parameters must be encoded explicitly in ECParameters).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `arbitrary_explicit_char2_curves`
    `static int` | `arbitrary_explicit_prime_curves`
    `static int` | `brainpoolP256r1`
    `static int` | `brainpoolP384r1`
    `static int` | `brainpoolP512r1`
    `static int` | `secp160k1`
    `static int` | `secp160r1`
    `static int` | `secp160r2`
    `static int` | `secp192k1`
    `static int` | `secp192r1`
    `static int` | `secp224k1`
    `static int` | `secp224r1`
    `static int` | `secp256k1`
    `static int` | `secp256r1`
    `static int` | `secp384r1`
    `static int` | `secp521r1`
    `static int` | `sect163k1`
    `static int` | `sect163r1`
    `static int` | `sect163r2`
    `static int` | `sect193r1`
    `static int` | `sect193r2`
    `static int` | `sect233k1`
    `static int` | `sect233r1`
    `static int` | `sect239k1`
    `static int` | `sect283k1`
    `static int` | `sect283r1`
    `static int` | `sect409k1`
    `static int` | `sect409r1`
    `static int` | `sect571k1`
    `static int` | `sect571r1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedCurve()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isValid(int namedCurve)`
    `static boolean` | `refersToASpecificNamedCurve(int namedCurve)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sect163k1

          public static final int sect163k1

      See Also:
        Constant Field Values

    - #### sect163r1

          public static final int sect163r1

      See Also:
        Constant Field Values

    - #### sect163r2

          public static final int sect163r2

      See Also:
        Constant Field Values

    - #### sect193r1

          public static final int sect193r1

      See Also:
        Constant Field Values

    - #### sect193r2

          public static final int sect193r2

      See Also:
        Constant Field Values

    - #### sect233k1

          public static final int sect233k1

      See Also:
        Constant Field Values

    - #### sect233r1

          public static final int sect233r1

      See Also:
        Constant Field Values

    - #### sect239k1

          public static final int sect239k1

      See Also:
        Constant Field Values

    - #### sect283k1

          public static final int sect283k1

      See Also:
        Constant Field Values

    - #### sect283r1

          public static final int sect283r1

      See Also:
        Constant Field Values

    - #### sect409k1

          public static final int sect409k1

      See Also:
        Constant Field Values

    - #### sect409r1

          public static final int sect409r1

      See Also:
        Constant Field Values

    - #### sect571k1

          public static final int sect571k1

      See Also:
        Constant Field Values

    - #### sect571r1

          public static final int sect571r1

      See Also:
        Constant Field Values

    - #### secp160k1

          public static final int secp160k1

      See Also:
        Constant Field Values

    - #### secp160r1

          public static final int secp160r1

      See Also:
        Constant Field Values

    - #### secp160r2

          public static final int secp160r2

      See Also:
        Constant Field Values

    - #### secp192k1

          public static final int secp192k1

      See Also:
        Constant Field Values

    - #### secp192r1

          public static final int secp192r1

      See Also:
        Constant Field Values

    - #### secp224k1

          public static final int secp224k1

      See Also:
        Constant Field Values

    - #### secp224r1

          public static final int secp224r1

      See Also:
        Constant Field Values

    - #### secp256k1

          public static final int secp256k1

      See Also:
        Constant Field Values

    - #### secp256r1

          public static final int secp256r1

      See Also:
        Constant Field Values

    - #### secp384r1

          public static final int secp384r1

      See Also:
        Constant Field Values

    - #### secp521r1

          public static final int secp521r1

      See Also:
        Constant Field Values

    - #### brainpoolP256r1

          public static final int brainpoolP256r1

      See Also:
        Constant Field Values

    - #### brainpoolP384r1

          public static final int brainpoolP384r1

      See Also:
        Constant Field Values

    - #### brainpoolP512r1

          public static final int brainpoolP512r1

      See Also:
        Constant Field Values

    - #### arbitrary_explicit_prime_curves

          public static final int arbitrary_explicit_prime_curves

      See Also:
        Constant Field Values

    - #### arbitrary_explicit_char2_curves

          public static final int arbitrary_explicit_char2_curves

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NamedCurve

          public NamedCurve()

  - ### Method Detail

    - #### isValid

          public static boolean isValid(int namedCurve)

    - #### refersToASpecificNamedCurve

          public static boolean refersToASpecificNamedCurve(int namedCurve)